Holger's Java API

## com.antelmann.util.revision
Interface Revision

All Superinterfaces:
  Timed

All Known Implementing Classes:
  DefaultRevision

    public interface Revision

extends Timed

represents revision that can be applied to a revisable object

Since:
  04.11.2008, 00:38:40
Author:
  Holger Antelmann
See Also:
  `Revisable`, `RevisionEvent`

Field Summary

Fields inherited from interface com.antelmann.calendar.Timed
`COMPARATOR, DATE_EXTRACTOR`

Method Summary
`Revisable` `getRevisable()` returns the object that this revision applies to
`Object` `getRevisionChanges()` specifies the changes that this revision implies
`String` `getRevisionComment()` returns additional comments made for this revision
`Object` `getRevisionSource()` specifies who or what initiated the revision
`Status` `getRevisionStatus()` returns the status that this revision applied to the revisable instance

Methods inherited from interface com.antelmann.calendar.Timed
`getTime`

Method Detail

### getRevisionSource

    Object getRevisionSource()

  specifies who or what initiated the revision

### getRevisable

    Revisable getRevisable()

  returns the object that this revision applies to

### getRevisionChanges

    Object getRevisionChanges()

  specifies the changes that this revision implies

### getRevisionStatus

    Status getRevisionStatus()

  returns the status that this revision applied to the revisable instance

### getRevisionComment

    String getRevisionComment()

  returns additional comments made for this revision

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads